package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.*;


import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.entities.JadwalPraktek;
import com.jasamedika.medifirst2000.entities.JamPraktek;
import com.jasamedika.medifirst2000.entities.KelompokShift;
import com.jasamedika.medifirst2000.entities.KomponenIndex;
import com.fasterxml.jackson.annotation.JsonBackReference;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class ShiftKerjaVOVO
 * 
 * @author Generator
 */
public class ShiftKerjaVO  extends BaseMasterVO{
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Object JadwalPraktek")
	private JadwalPraktekVO jadwalPraktek;
	
	@Caption(value = "NamaShift")
	private String namaShift;

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value = "JamPraktek")
	private JamPraktekVO jamPraktek;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value = "Kelompok Shift")
	private KelompokShiftVO kelompokShift;
	
	@Caption(value = "Kode Shift")
	private Byte kdShift;

	@Caption(value = "JamMasuk")
	private String jamMasuk;

	@Caption(value = "JamPulang")
	private String jamPulang;

	@Caption(value = "Jam Break Akhir")
	private String jamBreakAkhir;

	@Caption(value = "Jam Break Awal")
	private String jamBreakAwal;
	
	@Caption(value="Factor Rate")
	private Float factorRate;
	
	@Caption(value="Operator Factor Rate")
	private String operatorFactorRate;
	
	@Caption(value ="Komponen Index")
	private KomponenIndexVO komponenIndex;
	
	private Long waktuIstirahat;
	
	@Caption(value ="Kode Shift")
	private Integer qShift;
	
	@Caption(value = "flagKetidakhadiran")
	private Boolean flagKetidakhadiran;
	
	public Long getWaktuIstirahat() {
		return waktuIstirahat;
	}

	public void setWaktuIstirahat(Long waktuIstirahat) {
		this.waktuIstirahat = waktuIstirahat;
	}	

	public JadwalPraktekVO getJadwalPraktek() {
		return jadwalPraktek;
	}

	public void setJadwalPraktek(JadwalPraktekVO jadwalPraktek) {
		this.jadwalPraktek = jadwalPraktek;
	}

	public String getNamaShift() {
		return namaShift;
	}

	public void setNamaShift(String namaShift) {
		this.namaShift = namaShift;
	}

	public JamPraktekVO getJamPraktek() {
		return jamPraktek;
	}

	public void setJamPraktek(JamPraktekVO jamPraktek) {
		this.jamPraktek = jamPraktek;
	}

	public KelompokShiftVO getKelompokShift() {
		return kelompokShift;
	}

	public void setKelompokShift(KelompokShiftVO kelompokShift) {
		this.kelompokShift = kelompokShift;
	}

	public Byte getKdShift() {
		return kdShift;
	}

	public void setKdShift(Byte kdShift) {
		this.kdShift = kdShift;
	}

	public String getJamMasuk() {
		return jamMasuk;
	}

	public void setJamMasuk(String jamMasuk) {
		this.jamMasuk = jamMasuk;
	}

	public String getJamPulang() {
		return jamPulang;
	}

	public void setJamPulang(String jamPulang) {
		this.jamPulang = jamPulang;
	}

	public String getJamBreakAkhir() {
		return jamBreakAkhir;
	}

	public void setJamBreakAkhir(String jamBreakAkhir) {
		this.jamBreakAkhir = jamBreakAkhir;
	}

	public String getJamBreakAwal() {
		return jamBreakAwal;
	}

	public void setJamBreakAwal(String jamBreakAwal) {
		this.jamBreakAwal = jamBreakAwal;
	}

	public Float getFactorRate() {
		return factorRate;
	}

	public void setFactorRate(Float factorRate) {
		this.factorRate = factorRate;
	}

	public String getOperatorFactorRate() {
		return operatorFactorRate;
	}

	public void setOperatorFactorRate(String operatorFactorRate) {
		this.operatorFactorRate = operatorFactorRate;
	}

	public KomponenIndexVO getKomponenIndex() {
		return komponenIndex;
	}

	public void setKomponenIndex(KomponenIndexVO komponenIndex) {
		this.komponenIndex = komponenIndex;
	}

	public Integer getqShift() {
		return qShift;
	}

	public void setqShift(Integer qShift) {
		this.qShift = qShift;
	}

	public Boolean getFlagKetidakhadiran() {
		return flagKetidakhadiran;
	}

	public void setFlagKetidakhadiran(Boolean flagKetidakhadiran) {
		this.flagKetidakhadiran = flagKetidakhadiran;
	}


}